<?php

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=blogs&section=users&id=".$account['ID']."'>".LG('Блог')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".TEXT_ABSOLUTE($blog['NAME'])."";
ECHO "</div>";

IF (POST('ok')){
  
  $err_data = 0;
  
  $name = ADSL(POST('name'));
  $message = ADSL(POST('message'));
  $password = ADSL(POST('password'));
  $id_cat = INTVAL(POST('id_cat'));
  $private_comments = INTVAL(POST('private_comments'));
  
  IF (STR($password) > 0){
    
    $private = 4;
    $password2 = MD5($password);
    
  }ELSE{
    
    $private = INTVAL(POST('private'));
    $password2 = NULL;
  
  }
  
  IF (STR($password) > 12){
    
    ERROR('Пароль не может быть больше 12 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) < 1){
    
    ERROR('Имя не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) > 200){
    
    ERROR('Имя не может быть больше 200 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) < 1){
    
    ERROR('Содержимое не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) > 10000){
    
    ERROR('Содержимое не может быть больше 10000 символов', 'session');
    $err_data = 1;
    
  }
  
  IF ($blog['MESSAGE'] != $message && DB::GET_COLUMN("SELECT COUNT(*) FROM `BLOGS` WHERE `USER_ID` = '".$user['ID']."' AND `MESSAGE` = '".$message."' LIMIT 1") == 1){
    
    ERROR('Запись с таким содержимым уже существует в вашем блоге', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/modules/?path=blogs&section=show&id='.$blog['ID'].'&get=edit');
    
  }
  
  DB::GET_SET("UPDATE `BLOGS` SET `ID_CATEGORY` = '".$id_cat."', `PASSWORD` = '".$password2."', `PASSWORD_SHOW` = '".$password."', `PRIVATE` = '".$private."', `PRIVATE_COMMENTS` = '".$private_comments."', `NAME` = '".$name."', `MESSAGE` = '".$message."' WHERE `ID` = '".$blog['ID']."' LIMIT 1");
  
  IF (ACCESS('blogs', NULL, 1) || MANAGEMENT == 1){
    
    LOGS('Блоги - редактирование записи '.$account['LOGIN'].'', $user['ID']);
    
  }
  
  DB::GET_SET("UPDATE `ATTACHMENTS` SET `ID_POST` = '".$blog['ID']."', `BLOGS` = '1', `ACT` = '1' WHERE `USER_ID` = '".$user['ID']."' AND `ACT` = '0' AND `BLOGS` = '1'");
  
  SUCCESS('Изменения успешно приняты', 'session');
  REDIRECT('/modules/?path=blogs&section=show&id='.$blog['ID']);
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/modules/?path=blogs&section=show&id=".$blog['ID']."&get=edit'>";

ECHO "<b>".LG('Введите название')."</b> (".LG('от 1 до 200 символов')."):<br />";
HTML::INPUT('name', 'Имя', NULL, NULL, TEXT_ABSOLUTE($blog['NAME']));

ECHO "<b>".LG('Введите содержание')."</b> (".LG('от 1 до 10000 символов')."):<br />";
HTML::TEXTAREA(TEXT_ABSOLUTE($blog['MESSAGE']), 'message', 'Описание');

ECHO "<br /><b>".LG('Добавить').":</b>";

//Прикрепление файлов
REQUIRE (ROOT.'/modules/blogs/plugins/files_edit.php');

ECHO "<br />";

ECHO "<br /><b>".LG('Категория').":</b><br /><select name='id_cat' class='form-control-select'>";

$data = DB::GET_STRING_ALL("SELECT * FROM `BLOGS_CATEGORIES` ORDER BY `ID` DESC");

ECHO "<option value='0' ".($blog['ID_CATEGORY'] == 0 ?" selected='selected'":NULL).">Без категории</option>";

WHILE ($list = $data->FETCH()){
  
  ECHO "<option value='".$list['ID']."' ".($blog['ID_CATEGORY'] == $list['ID'] ?" selected='selected'":NULL).">".TEXT_ABSOLUTE($list['NAME'])."</option>";

}

ECHO "</select><br />";

ECHO "<br /><b>".LG('Доступ')."</b>:<br />";
ECHO "<select name='private' class='form-control-select'>";

ECHO "<option value='0' ".($blog['PRIVATE'] == 0 ?" selected='selected'":NULL)."> ".LG('Всем')."</option>";
ECHO "<option value='1' ".($blog['PRIVATE'] == 1 ?" selected='selected'":NULL)."> ".LG('Мне и друзьям')."</option>";
ECHO "<option value='2' ".($blog['PRIVATE'] == 2 ?" selected='selected'":NULL)."> ".LG('Только мне')."</option>";

ECHO "</select><br /><br />";

ECHO "<b>".LG('Комментирование')."</b>:<br />";
ECHO "<select name='private_comments' class='form-control-select'>";

ECHO "<option value='0' ".($blog['PRIVATE_COMMENTS'] == 0 ?" selected='selected'":NULL)."> ".LG('Всем')."</option>";
ECHO "<option value='1' ".($blog['PRIVATE_COMMENTS'] == 1 ?" selected='selected'":NULL)."> ".LG('Мне и друзьям')."</option>";
ECHO "<option value='2' ".($blog['PRIVATE_COMMENTS'] == 2 ?" selected='selected'":NULL)."> ".LG('Только мне')."</option>";

ECHO "</select><br /><br />";

ECHO "<b>".LG('Пароль')."</b>:<br />";
HTML::INPUT('password', NULL, NULL, NULL, TEXT_ABSOLUTE($blog['PASSWORD_SHOW']));

HTML::BUTTON('btn-big ajax-button', 'ok', 'save', 'Сохранить изменения');

ECHO "</form>";

ECHO "</div>";

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=blogs&section=show&id=".$blog['ID']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=blogs&section=users&id=".$account['ID']."'>".LG('Блог')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".TEXT_ABSOLUTE($blog['NAME'])."";
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;

?>